# Interface goog.debug.EntryPointMonitor

code »
Show:Public Protected Private

## Instance Methods

code »unwrap ( fn ) ⇒ `!Function`

Try to remove an instrumentation wrapper created by this monitor. If the function passed to unwrap is not a wrapper created by this monitor, then we will do nothing. Notice that some wrappers may not be unwrappable. For example, if other monitors have applied their own wrappers, then it will be impossible to unwrap them because their wrappers will have captured our wrapper. So it is important that entry points are unwrapped in the reverse order that they were wrapped.

Parameters

fn: `!Function`
  A function to unwrap.

Returns

The unwrapped function, or `fn` if it was not a wrapped function created by this monitor.

code »wrap ( fn ) ⇒ `!Function`

Instruments a function.

Parameters

fn: `!Function`
  A function to instrument.

Returns

The instrumented function.